@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poetsen+One&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Freeman&family=Poetsen+One&display=swap");
* {
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
  overflow-y: scroll;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

body {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: rgb(0, 0, 0);
  background-color: rgb(252, 252, 252);
}

nav,
.menu-links {
  display: flex;
}

nav {
  justify-content: space-around;
  align-items: center;
  height: 15vh;
  font-family: "Freeman", sans-serif;
}

.menu-links {
  gap: 2rem;
  list-style: none;
}

.menu-button {
  font-size: 1.5rem;
  color: black;
  text-decoration: none;
}

.menu-button:hover {
  text-decoration: underline;
  text-underline-offset: 1rem;
  animation-name: menu-button-hover;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
}

.profile-picture {
  font-size: 2rem;
}

.profile-picture:hover {
  cursor: default;
}

.grid-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 20px;
  margin-bottom: 30px;
  width: 70%;
  margin-left: auto;
  margin-right: auto;
}

.grid-item {
  padding: 20px;
  text-align: center;
  background-color: beige;
}
.grid-item img {
  max-width: 100%;
  height: auto;
  display: inline-block;
  border-radius: 50px;
}
.grid-item.right-align {
  text-align: right;
}
.grid-item.left-align {
  text-align: left;
}

.project-title {
  font-size: 1.5rem;
  color: black;
  text-decoration: none;
  margin-bottom: 50px;
  text-align: center;
}

.profile-subtitle {
  font-size: 15px;
  color: rgb(247, 94, 18);
  text-decoration: none;
}

.alternative-bg {
  background-color: rgb(253, 244, 237);
}

footer {
  background-color: rgb(252, 252, 252);
  color: black;
  text-align: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
.footer-icons {
  margin-bottom: 20px;
}
.footer-icons a {
  color: rgb(247, 94, 18);
  text-decoration: none;
  margin: 0 10px;
}
.footer-icons a:hover {
  color: rgb(247, 94, 18);
}

/* Media query for smaller screens */
@media only screen and (max-width: 1400px) {
  footer {
    font-size: 11px;
  }
  .menu-links {
    gap: 0.5rem;
    list-style: none;
  }

  .profile-picture {
    font-size: 1rem;
  }

  .profile-subtitle {
    font-size: 10px;
    color: rgb(247, 94, 18);
    text-decoration: none;
  }
}

@keyframes menu-button-hover {
  from {
    color: black;
  }
  to {
    color: rgb(247, 94, 18);
  }
}

@keyframes fade-out {
}
